package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrTaskFormcheck;
import com.ruoyi.system.domain.visit.dr.VisitDrTaskFormcheckExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrTaskFormcheckMapper {
    long countByExample(VisitDrTaskFormcheckExample example);

    int deleteByExample(VisitDrTaskFormcheckExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrTaskFormcheck record);

    int insertSelective(VisitDrTaskFormcheck record);

    List<VisitDrTaskFormcheck> selectByExample(VisitDrTaskFormcheckExample example);

    VisitDrTaskFormcheck selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrTaskFormcheck record, @Param("example") VisitDrTaskFormcheckExample example);

    int updateByExample(@Param("record") VisitDrTaskFormcheck record, @Param("example") VisitDrTaskFormcheckExample example);

    int updateByPrimaryKeySelective(VisitDrTaskFormcheck record);

    int updateByPrimaryKey(VisitDrTaskFormcheck record);
}